Bug 73748 - alt-tab doesn't work when "root password required" box is up
alt-tab doesn't work when "root password required" box is up
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
: 73247 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-09 19:03 EDT by Travis Saling
Modified: 2013-07-02 18:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 09:56:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Travis Saling 2002-09-09 19:03:35 EDT
Description of Problem:

When a query box for the root password is present, the alt-tab keybinding
doesn't work.

Version-Release number of selected component (if applicable):

Null Beta - 7.3.94

How Reproducible:

Always

Steps to Reproduce:
1. From the Gnome menu, select any app that requires the root password.
2. Let the "password required" box pop up, but don't type in the root password
3. Try switching windows via alt-tab with that box present.
4. Once you've entered the root password, the functionality is restored.

Actual Results:

It just doesn't work. The problem is the focus will still switch to another
window if the mouse is over that window, and you can't alt-tab back to the
password window. So you end up shading/minimizing one or more windows in order
to get back to the password window.


Expected Results:

Alt-tab should always switch between windows.

Additional Information:
	
If the password query box always stayed above the other windows this wouldn't be
an issue, but it behaves like any other window (and loses focus when the mouse
isn't over it). Unfortunately if you're selecting an item from the Gnome menu,
the query box is not likely to come up under your mouse - so it gets buried
almost immediately.

I'm using focus-follows-mouse, not click-to-focus (I guess that's obvious).
Comment 1 Havoc Pennington 2002-09-09 23:17:56 EDT
The problem here is that the password dialog is trying to be "system modal" for
security reasons by just grabbing the pointer, but grabbing the pointer is not 
sufficient really to get a system modal dialog that behaves properly. I suppose
you would need a window manager feature such as
http://bugzilla.gnome.org/show_bug.cgi?id=83357

My personal feeling is that the security issue here is bogus anyway, but 
if no one buys that, we need to add the metacity feature.

Assigning to Nalin mostly because he doesn't read his bugzilla spam and won't
notice otherwise. ;-)
Comment 3 Jindrich Novy 2004-10-06 14:04:36 EDT
*** Bug 73247 has been marked as a duplicate of this bug. ***
Comment 4 Jindrich Novy 2005-12-01 09:56:35 EST
The usermode-gtk dialog now stays always on top of the other windows so even if
someone change focus to some other window and start typing, the user sees that
he's actually typing a password in the usermode-gtk window instead of the one
that is focused.

Note You need to log in before you can comment on or make changes to this bug.